version: "3"
services:
  success:
    image: alpine
    deploy:
      restart_policy:
        condition: any
        delay: 10s
        max_attempts: 2
    command: sh -c 'exit 0'
  fail:
    image: alpine
    deploy:
      restart_policy:
        condition: any
        delay: 10s
        max_attempts: 2
    command: sh -c 'exit 1'
